SystemOrganization addCategory: #ConfigurationOfTwilio!

Object subclass: #ConfigurationOfTwilio
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfTwilio'!

!ConfigurationOfTwilio class methodsFor: 'development support' stamp: 'ShoYoshida 8/7/2015 16:22'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfTwilio class methodsFor: 'private' stamp: 'ShoYoshida 8/7/2015 16:22'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfTwilio class methodsFor: 'private' stamp: 'ShoYoshida 8/7/2015 16:22'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfTwilio class methodsFor: 'private' stamp: 'ShoYoshida 8/7/2015 16:22'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfTwilio class methodsFor: 'metacello tool support' stamp: 'ShoYoshida 8/7/2015 16:22'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfTwilio class methodsFor: 'loading' stamp: 'ShoYoshida 8/7/2015 16:22'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfTwilio class methodsFor: 'loading' stamp: 'ShoYoshida 8/7/2015 16:22'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfTwilio class methodsFor: 'loading' stamp: 'ShoYoshida 8/7/2015 16:22'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfTwilio class methodsFor: 'accessing' stamp: 'ShoYoshida 8/7/2015 16:22'!
project

	^self new project! !

!ConfigurationOfTwilio class methodsFor: 'development support' stamp: 'ShoYoshida 8/7/2015 16:22'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfTwilio methodsFor: 'baselines' stamp: 'ShoYoshida 9/27/2015 19:23'!
baseline011: spec
	<version: '0.1.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'. 
		
		spec package: 'Neo-JSON-Core' with: [
			spec repository: 'http://mc.stfx.eu/Neo'. ].
		
	].
! !

!ConfigurationOfTwilio methodsFor: 'baselines' stamp: 'ShoYoshida 9/27/2015 19:22'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'. 
		
		spec package: 'Neo-JSON-Core' with: [
			spec repository: 'http://mc.stfx.eu/Neo'. ].
		
		spec project: 'XMLParser' with: [
			spec
				className: 'ConfigurationOfXMLParser'; 
				file: 'ConfigurationOfXMLParser'; 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLParser/main'. ].
		
	].
! !

!ConfigurationOfTwilio methodsFor: 'accessing' stamp: 'ShoYoshida 8/7/2015 16:22'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfTwilio methodsFor: 'symbolic versions' stamp: 'ShoYoshida 8/7/2015 20:03'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #notDefined.
! !

!ConfigurationOfTwilio methodsFor: 'accessing' stamp: 'ShoYoshida 8/7/2015 16:22'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfTwilio methodsFor: 'accessing' stamp: 'ShoYoshida 3/21/2016 12:40'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.2.1'.! !

!ConfigurationOfTwilio methodsFor: 'versions' stamp: 'ShoYoshida 9/27/2015 19:24'!
version011: spec 
	<version: '0.1.1' imports: #('0.1.1-baseline') >
	
	spec for: #common do: [
		spec package: 'Neo-JSON-Core' with: 'Neo-JSON-Core-SvenVanCaekenberghe.29'.
		spec
			baseline: 'Twilio' with: [ 
				spec repository:'github://newapplesho/twilio-smalltalk:v0.1.1/pharo-repository' ];
			import: 'Twilio' 
	]! !

!ConfigurationOfTwilio methodsFor: 'versions' stamp: 'ShoYoshida 9/27/2015 19:22'!
version01: spec 
	<version: '0.1' imports: #('0.1-baseline') >
	
	spec for: #common do: [
		spec package: 'Neo-JSON-Core' with: 'Neo-JSON-Core-SvenVanCaekenberghe.29'.
		spec project: 'XMLParser' with: '2.4.7'.
		spec
			baseline: 'Twilio' with: [ 
				spec repository:'github://newapplesho/twilio-smalltalk:3e1c8ce5307d3dae1098ef0fce53bd9ebbaa425b/pharo-repository' ];
			import: 'Twilio' 
	]! !

!ConfigurationOfTwilio methodsFor: 'versions' stamp: 'ShoYoshida 3/21/2016 12:41'!
version021: spec 
	<version: '0.2.1' imports: #('0.1.1-baseline') >
	
	spec for: #common do: [
		spec package: 'Neo-JSON-Core' with: 'Neo-JSON-Core-SvenVanCaekenberghe.33'.
		spec
			baseline: 'Twilio' with: [ 
				spec repository:'github://newapplesho/twilio-smalltalk:v0.2.1/pharo-repository' ];
			import: 'Twilio' 
	]! !

!ConfigurationOfTwilio methodsFor: 'versions' stamp: 'ShoYoshida 10/1/2015 02:07'!
version02: spec 
	<version: '0.2' imports: #('0.1.1-baseline') >
	
	spec for: #common do: [
		spec package: 'Neo-JSON-Core' with: 'Neo-JSON-Core-SvenVanCaekenberghe.29'.
		spec
			baseline: 'Twilio' with: [ 
				spec repository:'github://newapplesho/twilio-smalltalk:v0.2/pharo-repository' ];
			import: 'Twilio' 
	]! !
